# PSF-LoginServer - master - net.psforever.newcodecs.QuantizedDoubleCodec
PSF - LoginServer - master - net.psforever.newcodecs.QuantizedDoubleCodec
Keywords: PSF LoginServer master net.psforever.newcodecs.QuantizedDoubleCodec

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package newcodecs
  Definition Classes
    psforever
- PrefixedVectorCodec
- QuantizedDoubleCodec

c

net.psforever.newcodecs

# QuantizedDoubleCodec

###

#### final class QuantizedDoubleCodec extends Codec[Double]

Source
  QuantizedDoubleCodec.scala

Linear Supertypes
Codec[Double], GenCodec[Double, Double], Decoder[Double], Encoder[Double], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. QuantizedDoubleCodec
2. Codec
3. GenCodec
4. Decoder
5. Encoder
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new QuantizedDoubleCodec(min: Double, max: Double, bits: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def :+:[B](left: Codec[B]): CoproductCodecBuilder[:+:[B, :+:[Double, CNil]], ::[Codec[B], ::[Codec[Double], HNil]], :+:[B, :+:[Double, CNil]]]
   Definition Classes
     Codec
4.  final def <~[B](codecB: Codec[B])(implicit ev: =:=[Unit, B]): Codec[Double]
   Definition Classes
     Codec
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def >>~[B](f: (Double) => Codec[B]): Codec[(Double, B)]
   Definition Classes
     Codec
7.  def QuantizeDouble(value: Double): Int
8.  def UnquantizeDouble(value: Int): Double
9.  def asDecoder: Decoder[Double]
   Definition Classes
     Decoder
10.  def asEncoder: Encoder[Double]
    Definition Classes
      Encoder
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  final def compact: Codec[Double]
    Definition Classes
      Codec → GenCodec → Encoder
14.  final def complete: Codec[Double]
    Definition Classes
      Codec → GenCodec → Decoder
15.  final def consume[B](f: (Double) => Codec[B])(g: (B) => Double): Codec[B]
    Definition Classes
      Codec
16.  def contramap[C](f: (C) => Double): GenCodec[C, Double]
    Definition Classes
      GenCodec → Encoder
17.  def decode(buffer: BitVector): Attempt[DecodeResult[Double]]
    Definition Classes
      QuantizedDoubleCodec → Decoder
18.  def decodeOnly[AA >: Double]: Codec[AA]
    Definition Classes
      Codec → Decoder
19.  final def decodeValue(bits: BitVector): Attempt[Double]
    Definition Classes
      Decoder
20.  final def downcast[B <: Double](implicit tb: Typeable[B]): Codec[B]
    Definition Classes
      Codec
21.  final def dropLeft[B](codecB: Codec[B])(implicit ev: =:=[Unit, Double]): Codec[B]
    Definition Classes
      Codec
22.  final def dropRight[B](codecB: Codec[B])(implicit ev: =:=[Unit, B]): Codec[Double]
    Definition Classes
      Codec
23.  def econtramap[C](f: (C) => Attempt[Double]): GenCodec[C, Double]
    Definition Classes
      GenCodec → Encoder
24.  def emap[C](f: (Double) => Attempt[C]): GenCodec[Double, C]
    Definition Classes
      GenCodec → Decoder
25.  def encode(value: Double): Attempt[BitVector]
    Definition Classes
      QuantizedDoubleCodec → Encoder
26.  def encodeOnly: Codec[Double]
    Definition Classes
      Encoder
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  final def exmap[B](f: (Double) => Attempt[B], g: (B) => Attempt[Double]): Codec[B]
    Definition Classes
      Codec
30.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
31.  def flatMap[B](f: (Double) => Decoder[B]): Decoder[B]
    Definition Classes
      Decoder
32.  final def flatZip[B](f: (Double) => Codec[B]): Codec[(Double, B)]
    Definition Classes
      Codec
33.  final def flattenLeftPairs(implicit f: FlattenLeftPairs[Double]): Codec[Out]
    Definition Classes
      Codec
34.  final def fuse[AA <: Double, BB >: Double](implicit ev: =:=[BB, AA]): Codec[BB]
    Definition Classes
      GenCodec
35.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
37.  final def hlist: Codec[::[Double, HNil]]
    Definition Classes
      Codec
38.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
39.  def map[C](f: (Double) => C): GenCodec[Double, C]
    Definition Classes
      GenCodec → Decoder
40.  final def narrow[B](f: (Double) => Attempt[B], g: (B) => Double): Codec[B]
    Definition Classes
      Codec
41.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
44.  final def pairedWith[B](codecB: Codec[B]): Codec[(Double, B)]
    Definition Classes
      Codec
45.  def pcontramap[C](f: (C) => Option[Double]): GenCodec[C, Double]
    Definition Classes
      GenCodec → Encoder
46.  def sizeBound: SizeBound
    Definition Classes
      QuantizedDoubleCodec → Encoder
47.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
48.  def toField[K]: Codec[FieldType[K, Double]]
    Definition Classes
      Codec
49.  def toFieldWithContext[K <: Symbol](k: K): Codec[FieldType[K, Double]]
    Definition Classes
      Codec
50.  def toString(): String
    Definition Classes
      QuantizedDoubleCodec → AnyRef → Any
51.  final def unit(zero: Double): Codec[Unit]
    Definition Classes
      Codec
52.  final def upcast[B >: Double](implicit ta: Typeable[Double]): Codec[B]
    Definition Classes
      Codec
53.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
56.  final def widen[B](f: (Double) => B, g: (B) => Attempt[Double]): Codec[B]
    Definition Classes
      Codec
57.  final def withContext(context: String): Codec[Double]
    Definition Classes
      Codec
58.  final def withToString(str: => String): Codec[Double]
    Definition Classes
      Codec
59.  final def xmap[B](f: (Double) => B, g: (B) => Double): Codec[B]
    Definition Classes
      Codec
60.  final def ~[B](codecB: Codec[B]): Codec[(Double, B)]
    Definition Classes
      Codec
61.  final def ~>[B](codecB: Codec[B])(implicit ev: =:=[Unit, Double]): Codec[B]
    Definition Classes
      Codec

### Inherited from Codec[Double]

### Inherited from GenCodec[Double, Double]

### Inherited from Decoder[Double]

### Inherited from Encoder[Double]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped